<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.harmonic.mapper.specialanalysis.WfOfOverviewMapper">

    <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.WfOfOverviewPO">
            <id property="orgNo" column="org_no" jdbcType="VARCHAR"/>
            <id property="dataDate" column="data_date" jdbcType="DATE"/>
            <result property="wfPowerCount" column="wf_power_count" jdbcType="INTEGER"/>
            <result property="wfInstalledCapacity" column="wf_installed_capacity" jdbcType="FLOAT"/>
            <result property="wfPowerCountYearOnYear" column="wf_power_count_year_on_year" jdbcType="FLOAT"/>
            <result property="wfInstalledCapacityYearOnYear" column="wf_installed_capacity_year_on_year" jdbcType="FLOAT"/>
            <result property="wfPowerCountRingRatio" column="wf_power_count_ring_ratio" jdbcType="FLOAT"/>
            <result property="wfInstalledCapacityRingRatio" column="wf_installed_capacity_ring_ratio" jdbcType="FLOAT"/>
    </resultMap>

    <sql id="Base_Column_List">
        org_no,data_date,wf_power_count,
        wf_installed_capacity,wf_power_count_year_on_year,wf_installed_capacity_year_on_year,
        wf_power_count_ring_ratio,wf_installed_capacity_ring_ratio
    </sql>
</mapper>
